LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Hardware (http://www.linuxquestions.org/questions/linux-hardware-18/)
-   -   Driconf wont install on gentoo linux cause some openglpy error (http://www.linuxquestions.org/questions/linux-hardware-18/driconf-wont-install-on-gentoo-linux-cause-some-openglpy-error-540621/)

Mighty_Pooh 03-26-2007 01:42 AM

Driconf wont install on gentoo linux cause some openglpy error
 
Hey ppl i try to emerge driconf
in the hope that i could help me run opengl as the guide on gentoo.org doesnt sem to help me very mutch.
I have a radeon 9600 gfx card.
HERE is the error i get.

>>> Emerging (2 of 6) dev-python/pyopengl-2.0.0.44 to /
* PyOpenGL-2.0.0.44.tar.gz RMD160 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz SHA1 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz SHA256 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking PyOpenGL-2.0.0.44.tar.gz ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.0.44.tar.gz to /var/tmp/portage/dev-python/pyopengl-2.0.0.44/work
* Applying config.diff ... [ ok ]
* Applying pyopengl-2.0.0.44-fix_togl.patch ... [ ok ]

!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_unpack
ebuild.sh, line 751: Called qa_call 'src_unpack'
environment, line 3229: Called src_unpack
pyopengl-2.0.0.44.ebuild, line 36: Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1685: Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-python/pyopengl-2.0.0.44/temp/build.log'.


the build.log


>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.0.44.tar.gz to /var/tmp/portage/dev-python/pyopengl-2.0.0.44/work
^[[32;01m*^[[0m Applying config.diff ...
^[[A^[[72C ^[[34;01m[ ^[[32;01mok^[[34;01m ]^[[0m
^[[32;01m*^[[0m Applying pyopengl-2.0.0.44-fix_togl.patch ...
^[[A^[[72C ^[[34;01m[ ^[[32;01mok^[[34;01m ]^[[0m

!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_unpack
ebuild.sh, line 751: Called qa_call 'src_unpack'
environment, line 3229: Called src_unpack
pyopengl-2.0.0.44.ebuild, line 36: Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1685: Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/dev-python/pyopengl-2.0.0.44/temp/build.log'.

alberto13 04-09-2007 11:41 AM

Same problem
 
:cry: i got the same problem trying to emerge gnome-light, a lot of research and i found that if you emerge python its solved.


All times are GMT -5. The time now is 07:12 PM.